Bug 45040 - 90univention-bind-post.inst stuck during setup in UCS 4.2 master docker container
90univention-bind-post.inst stuck during setup in UCS 4.2 master docker conta...
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Docker
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-1-errata
Assigned To: Arvid Requate
Philipp Hahn
:
Depends on: 44154
Blocks: 44468
  Show dependency treegraph
 
Reported: 2017-07-18 20:41 CEST by Arvid Requate
Modified: 2017-07-26 14:39 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Development Internal
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2017-07-18 20:41:35 CEST
During Setup 90univention-bind-post.inst is stuck in a UCS 4.2 master docker container, because the IP of the docker container doesn't get set into nameserver1. In normal UCS that joinscript calls

/usr/share/univention-server/univention-fix-ucr-dns --force-self

to fix this, but unfortunately that script has been put into univention-role-server-common, which isn't present in a docker container.

So we may want to put this file into univention-container-role-server-common too.
Comment 1 Arvid Requate univentionstaff 2017-07-18 20:58:06 CEST
I've added the script to debian/univention-container-role-server-common.install and declared a conflict with univention-role-server-common.

Advisory: univention-server.yaml
Comment 2 Philipp Hahn univentionstaff 2017-07-26 13:05:19 CEST
OK: ucs-4.2-1@81233
OK: aptitude install '?source-package(univention-server)~i'
OK: Docker

OK: errata-announce -V --only univention-server.yaml
FIXED: univention-server.yaml → r81377

IGNORED:
# /usr/share/univention-server/univention-fix-ucr-dns 
>2017-07-19 07:19:40,964 INFO    __main__.ucr/ns   Found server 10.200.17.30 from UCRV nameserver1
>2017-07-19 07:19:40,965 INFO    __main__.ucr/ns   Found server 8.8.8.8 from UCRV nameserver2
>2017-07-19 07:19:40,966 INFO    __main__.ucr/ns   Found server 8.8.4.4 from UCRV nameserver3
>2017-07-19 07:19:40,971 INFO    __main__.val      Validated UCS domain server: 10.200.17.30
>2017-07-19 07:19:40,996 WARNING __main__.val      UCS master SRV record is unknown at 8.8.8.8, converting into forwarder
>2017-07-19 07:19:41,024 WARNING __main__.val      UCS master SRV record is unknown at 8.8.4.4, converting into forwarder
>2017-07-19 07:19:41,024 INFO    __main__.xor      Skip removing nameservers from forwarders
>2017-07-19 07:19:41,033 INFO    __main__.ucr/self Default IP address configured in UCR: 172.17.0.1
>Traceback (most recent call last):
>  File "/usr/share/univention-server/univention-fix-ucr-dns", line 400, in <module>
>    main()
>  File "/usr/share/univention-server/univention-fix-ucr-dns", line 79, in main
>    add_self(nameservers, ucr)
>  File "/usr/share/univention-server/univention-fix-ucr-dns", line 248, in add_self
>    if not options.force_self and not query_master_src_record(domain, myself):
>  File "/usr/share/univention-server/univention-fix-ucr-dns", line 350, in query_master_src_record
>    res = req.req()
>  File "/usr/lib/python2.7/dist-packages/DNS/Base.py", line 235, in req
>    raise SocketError, reason
>DNS.Base.SocketError: [Errno 111] Connection refused

172.17.0.1 is the IP address of the container, wherein no BIND runs. Thus the request fails.
Comment 3 Erik Damrose univentionstaff 2017-07-26 14:39:46 CEST
<http://errata.software-univention.de/ucs/4.2/104.html>